{% extends "virtualcontests/base.html" %}
{% block virtualcontestlink %}
    {% include 'virtualcontests/createvirtualcontestbutton.html' %}
{% endblock%}
{% block content %}
    <div style="margin-top: 20px">
        <h4>Active Virtual Contests</h4>
        {% if active_contests %}
            <div class="card" >
                <div class="table-responsive">
                    <table class="table table-borderless">
                        <thead>
                            <tr>
                                <th>Contest No.</th>
                                <th>Contest Structure</th>
                                <th>Start Date</th>
                                <th>End Date</th>
                                <th>Total Score</th>
                                <th>Total Problems</th>
                                <th>Contest Type</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for contest in active_contests %}
                                <tr class="active" style="cursor: pointer;">
                                    <td style="display: none">{{ contest.id }}</td>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ contest.contest.contestType }}</td>
                                    <td>{{ contest.contest.date_started }}</td>
                                    <td>{{ contest.contest.date_end }}</td>
                                    <td>{{ contest.contest.total_score }}</td>
                                    <td>{{ contest.contest.problem_count }}</td>
                                    {% if contest.contest.past_contest == True %}
                                        <td>PAST</td>
                                    {% else %}
                                        <td>CUSTOM</td>
                                    {% endif %}
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        {% else %}
        <div class="card" style="text-align: center;">
            <div class="card-body">No Active Virtual Contests...</div>
        </div>
        {% endif %}
    </div>
    <div style="margin-top: 20px">
        <h4>Archived Contests</h4>
        {% if archived_contests %}
            <div class="card" >
                <div class="table-responsive">
                    <table class="table table-borderless">
                        <thead>
                            <tr>
                                <th>Contest No.</th>
                                <th>Contest Structure</th>
                                <th>Start Date</th>
                                <th>End Date</th>
                                <th>Total Score</th>
                                <th>Total Problems</th>
                                <th>Contest Type</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for contest in archived_contests %}
                                <tr class="archived" style="cursor: pointer;">
                                    <td style="display: none" class="contestID">{{ contest.id }}</td>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ contest.contest.contestType }}</td>
                                    <td>{{ contest.contest.date_started }}</td>
                                    <td>{{ contest.contest.date_end }}</td>
                                    <td>{{ contest.contest.total_score }}</td>
                                    <td>{{ contest.contest.problem_count }}</td>
                                    {% if contest.contest.past_contest == True %}
                                        <td>PAST</td>
                                    {% else %}
                                        <td>CUSTOM</td>
                                    {% endif %}
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        {% else %}
            <div class="card" style="text-align: center;">
                <div class="card-body">No Archived Virtual Contests...</div>
            </div>
        {% endif %}
    </div>
{% endblock %}
{% block ownscripts %}
    <script type="text/javascript">
        $('.archived').click(function() {
            var contestID = $(this).find("td:eq(0)").text();
            window.location = '/archivedredirect?id=' + contestID;
        });
        $('.active').click(function() {
            // var contestID = $(this).find("td:eq(0)").text();
            window.location = '/active';
        });
    </script>
{% endblock %}
